#!/bin/sh
#
# Remove ./mp.w from the result: depend.mk
#
SRCS="avl.c \
decContext.c \
decNumber.c \
lmplib.c \
mp.c \
mpmath.c \
mpmathbinary.c \
mpmathdecimal.c \
mpmathdouble.c \
mpost.c \
mpstrings.c \
mpxout.c \
pngout.c \
psout.c \
strndup.c \
svgout.c \
tfmin.c"


rm -f depend.mk
touch depend.mk
makedepend -fdepend.mk -o.obj -p./ --cpp=vc --cpp-bin=cl \
--newline=unix \
-DWIN32=1 -DMSVC=1 \
-DHAVE_SNPRINTF=1 \
-Dstrcasecmp=stricmp -D_CRT_SECURE_NO_DEPRECATE=1 \
-DLUA_COMPAT_MODULE -DLUA_COMPAT_LOADSTRING=1 \
-DHAVE_SYS_TIMEB_H=1 -DHAVE_SYS_STAT_H=1 -DNO_KPSE_DLL=1 \
-DCAIRO_WIN32_STATIC_BUILD=1 \
-DNATIVE_TEXLIVE_BUILD=1 -DHAVE_CONFIG_H=1 \
-I../.. -I../../kpathsea -I. -I../lualibs/lua53 -I.. \
-I../../../libs/cairo/cairo-src/src \
-I../../../libs/pixman/pixman-src/pixman \
-I../../../libs/mpfr/mpfr-src/src \
-I../../../libs/gmp/gmp-src -I../../../libs \
-I../../../libs/libpng -I../../../libs/zlib $SRCS
